 using UnityEngine;

public struct Resources
{
	
	public static AudioClip AnakinSwordHum;
    public static AudioClip AnakinSwordIgnite;
    public static AudioClip AnakinSwordOff;
    public static AudioClip[] AnakinSwordHits;
    public static Sprite AnakinSwordHilt;
    public static Sprite AnakinSwordBlade;

    public static AudioClip VaderSwordHum;
    public static AudioClip VaderSwordIgnite;
    public static AudioClip VaderSwordOff;
    public static AudioClip[] VaderSwordHits;
    public static Sprite VaderSwordHilt;
    public static Sprite VaderSwordBlade;
	
	public static AudioClip EnergySwordHum;
    public static AudioClip EnergySwordIgnite;
    public static AudioClip EnergySwordOff;
    public static AudioClip[] EnergySwordHits;
    public static Sprite EnergySwordHilt;
    public static Sprite EnergySwordBlade;
	
	public static AudioClip MaulSwordHum;
    public static AudioClip MaulSwordIgnite;
    public static AudioClip MaulSwordOff;
    public static AudioClip[] MaulSwordHits;
    public static Sprite MaulSwordHilt;
    public static Sprite MaulSwordBlade;
	
	public static AudioClip MandoSwordHum;
    public static AudioClip MandoSwordIgnite;
    public static AudioClip MandoSwordOff;
    public static AudioClip[] MandoSwordHits;
    public static Sprite MandoSwordHilt;
    public static Sprite MandoSwordBlade;
	
	public static AudioClip InquisitorSwordHum;
    public static AudioClip InquisitorSwordIgnite;
    public static AudioClip InquisitorSwordOff;
    public static AudioClip[] InquisitorSwordHits;
    public static Sprite InquisitorSwordHilt;
    public static Sprite InquisitorSwordBlade;
	
	public static AudioClip GalenSwordHum;
    public static AudioClip GalenSwordIgnite;
    public static AudioClip GalenSwordOff;
	public static Sprite GalenSwordBlade;
    
	public static AudioClip HartashiSwordHum;
    public static AudioClip HartashiSwordIgnite;
    public static AudioClip HartashiSwordOff;
	public static AudioClip[] HartashiSwordHits;
    public static Sprite HartashiSwordHilt;
    public static Sprite HartashiSwordBlade;
	
	public static AudioClip RenSwordHum;
    public static AudioClip RenSwordIgnite;
    public static AudioClip RenSwordOff;
    public static Sprite RenSwordBlade;
	
    public static Sprite Particle;
    public static Sprite PlasmaBolt;
    public static Sprite EnergyFlash;

    public static void Initialise()
    {
        Particle = ModAPI.LoadSprite("particle.png");
        EnergyFlash = ModAPI.LoadSprite("flash.png");
		
        AnakinSwordHum = ModAPI.LoadSound("SaberSFX/idle.wav");
        AnakinSwordIgnite = ModAPI.LoadSound("SaberSFX/light_on.mp3");
        AnakinSwordOff = ModAPI.LoadSound("SaberSFX/dark_off.mp3");
		
		VaderSwordHum = ModAPI.LoadSound("SaberSFX/idle.wav");
        VaderSwordIgnite = ModAPI.LoadSound("SaberSFX/dark_on.mp3");
        VaderSwordOff = ModAPI.LoadSound("SaberSFX/dark_off.mp3");
						
		MaulSwordHum = ModAPI.LoadSound("SaberSFX/idle.wav");
        MaulSwordIgnite = ModAPI.LoadSound("SaberSFX/light_on.mp3");
        MaulSwordOff = ModAPI.LoadSound("SaberSFX/dark_off.mp3");
		
		MandoSwordHum = ModAPI.LoadSound("SaberSFX/idle.wav");
        MandoSwordIgnite = ModAPI.LoadSound("SaberSFX/DarkOn.mp3");
        MandoSwordOff = ModAPI.LoadSound("SaberSFX/DarkOff.mp3");
		
        InquisitorSwordHum = ModAPI.LoadSound("SaberSFX/idle.wav");
        InquisitorSwordIgnite = ModAPI.LoadSound("SaberSFX/dark_on.mp3");
        InquisitorSwordOff = ModAPI.LoadSound("SaberSFX/dark_off.mp3");
		
		GalenSwordHum = ModAPI.LoadSound("SaberSFX/idle.wav");
        GalenSwordIgnite = ModAPI.LoadSound("SaberSFX/Starkiller.wav");
        GalenSwordOff = ModAPI.LoadSound("SaberSFX/GalenOff.mp3");
		
		HartashiSwordHum = ModAPI.LoadSound("SaberSFX/idle.wav");
        HartashiSwordIgnite = ModAPI.LoadSound("SaberSFX/Hartashi.mp3");
        HartashiSwordOff = ModAPI.LoadSound("SaberSFX/HartashiOff.mp3");
		
		RenSwordHum = ModAPI.LoadSound("SaberSFX/idle.wav");
        RenSwordIgnite = ModAPI.LoadSound("SaberSFX/KyloOn.wav");
        RenSwordOff = ModAPI.LoadSound("SaberSFX/KyloOff.wav");
		
		AnakinSwordHits = new[]{
            ModAPI.LoadSound("SaberSFX/hit_1.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_2.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_3.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_4.mp3"),
        };

        VaderSwordHits = new[]{
            ModAPI.LoadSound("SaberSFX/hit_1.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_2.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_3.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_4.mp3"),
        };
		
		EnergySwordHits = new[]{
            ModAPI.LoadSound("SaberSFX/hit_1.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_2.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_3.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_4.mp3"),
        };
				
		MaulSwordHits = new[]{
            ModAPI.LoadSound("SaberSFX/hit_1.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_2.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_3.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_4.mp3"),
        };
		
		MandoSwordHits = new[]{
            ModAPI.LoadSound("SaberSFX/DarkHit.wav"),
            ModAPI.LoadSound("SaberSFX/DarkHit1.wav"),
            ModAPI.LoadSound("SaberSFX/DarkHit2.wav"),
            ModAPI.LoadSound("SaberSFX/DarkHit3.wav"),
        };
		
		InquisitorSwordHits = new[]{
            ModAPI.LoadSound("SaberSFX/hit_1.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_2.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_3.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_4.mp3"),
        };
		
		HartashiSwordHits = new[]{
            ModAPI.LoadSound("SaberSFX/hit_1.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_2.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_3.mp3"),
            ModAPI.LoadSound("SaberSFX/hit_4.mp3"),
        };
                
        AnakinSwordBlade = ModAPI.LoadSprite("thing.png", 28f);
        VaderSwordBlade = ModAPI.LoadSprite("thing.png", 28f);
		EnergySwordBlade = ModAPI.LoadSprite("thing.png", 28f);
		MaulSwordBlade = ModAPI.LoadSprite("thing1.png", 28f);
		MandoSwordBlade = ModAPI.LoadSprite("thing2.png", 28f);
		InquisitorSwordBlade = ModAPI.LoadSprite("thing3.png", 28f);
		GalenSwordBlade = ModAPI.LoadSprite("thing4.png", 28f);
		HartashiSwordBlade = ModAPI.LoadSprite("thing.png", 28f);
		RenSwordBlade = ModAPI.LoadSprite("thing5.png", 28f);
    }
}
